Regression?: No
Easy fix?: No
Copied to github as #: 28785

Description

The reference point for calculating the other points seems to be the top left point of the grid.

It is expected that the bottom left point will be the reference point.

This is a problem if the maximum Y coordinate is not of the form Ymin + n*deltaY¥ with n integer.

The MMQGIS create grid function gives the expected results, even in this case.

see attached illustration

Associated revisions

Revision e3516ab1 - 2019-01-23 08:38 AM - Victor Olaya

[processing] fixed qgis algorithms help file

fixes #20966

History

#1 - 2019-01-10 11:38 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category changed from Processing/GUI to Processing/QGIS

Does it works as expected on 2.18?

#2 - 2019-01-10 11:51 AM - Alain FERRATON
- Status changed from Feedback to Open

Same problem under QGIS 2.18 and QGIS 2.16

#3 - 2019-01-23 08:42 AM - Victor Olaya
- % Done changed from 0 to 100
- Status changed from Open to Closed
Applied in changeset commit:qgis|e3516ab1b46137db36f3b7dbf4e4f2ee2df1eb70.

#4 - 2019-01-23 06:00 PM - Victor Olaya

This doesnt seem to be a bug. The code clearly uses that reference point, and the corresponding tests do so. | have updated the documentation to make it

clear that the top left point is the reference point for this algorithm
